gr::gfdm::remove_prefix_cc_impl Class Reference

`#include <remove_prefix_cc_impl.h>`

Inheritance diagram for gr::gfdm::remove_prefix_cc_impl:
[legend]

## Public Member Functions

| remove_prefix_cc_impl (int frame_len, int block_len, int offset, const std::string &gfdm_sync_tag_key)
| ~remove_prefix_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | fixed_rate_ninput_to_noutput (int ninput)
int | fixed_rate_noutput_to_ninput (int noutput)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::remove_prefix_cc
typedef boost::shared_ptr< remove_prefix_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::remove_prefix_cc
static sptr | make (int frame_len, int block_len, int offset, const std::string &gfdm_sync_tag_key)
| Return a shared_ptr to a new instance of gfdm::remove_prefix_cc.

## Constructor & Destructor Documentation

## remove_prefix_cc_impl()

gr::gfdm::remove_prefix_cc_impl::remove_prefix_cc_impl | ( | int | frame_len,
|  | int | block_len,
|  | int | offset,
|  | const std::string & | gfdm_sync_tag_key
| ) |  |

## ~remove_prefix_cc_impl()

gr::gfdm::remove_prefix_cc_impl::~remove_prefix_cc_impl | ( |  | ) |

## Member Function Documentation

## fixed_rate_ninput_to_noutput()

int gr::gfdm::remove_prefix_cc_impl::fixed_rate_ninput_to_noutput | ( | int | ninput | ) |

## fixed_rate_noutput_to_ninput()

int gr::gfdm::remove_prefix_cc_impl::fixed_rate_noutput_to_ninput | ( | int | noutput | ) |

## forecast()

void gr::gfdm::remove_prefix_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::remove_prefix_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- remove_prefix_cc_impl.h